public class NonPureMethod {
	
	int var;

	public NonPureMethod() {
		this.var = 2;
	}
	
	public NonPureMethod(int i) {
		this.var = i;
	}
	
	public int doubling(int i)  {
		// changing the value of class field too
		var *= 2;
		return 2*i;
	}
	
	public static void main(String[] args) {
		NonPureMethod nm;
		if (args.length != 1) {
			System.out.println("Initalise the field the default value of 2");
			nm = new NonPureMethod();
		} else {
			try {
				int input = Integer.parseInt(args[0]);
				System.out.println("Initalise the field the value of " + input);
				nm = new NonPureMethod(input);
			} catch (NumberFormatException e) {
				System.out.println("Initalise the field the default value of 2");
				nm = new NonPureMethod();
			}
		}
		System.out.println("The field value is " + nm.var);
		System.out.println("Defining a local variable lv equals to 2");
		int lv = 2;
		System.out.println("Now, lets call the doubling method...");
		System.out.println("It returns " + nm.doubling(lv));
		System.out.println("The field value is now " + nm.var);
		
	}
	
	
}